﻿@model IEnumerable<EstudiantesFacultadViewModel>

<h2>Reporte De Usuarios Por Facultad</h2>

@if (Model != null && Model.Any())
{
    @foreach (var facultad in Model)
    {
        <h3>@Html.DisplayFor(model => facultad.FacultadNombre)</h3>
        @if (facultad != null)
        {
            <table class="table">
                <thead>
                    <tr>
                        <th>
                            Ci
                        </th>
                        <th>
                            Nombre
                        </th>
                        <th>
                            Apellido
                        </th>
                        <th>
                            Correo
                        </th>
                    </tr>
                </thead>
                <tbody>
                    @foreach (var usu in facultad.Estudiantes)
                    {
                        <tr>
                            <td>
                                @Html.DisplayFor(u => usu.Ci)
                            </td>
                            <td>
                                @Html.DisplayFor(u => usu.Nombre)
                            </td>
                            <td>
                                @Html.DisplayFor(u => usu.Apellido)
                            </td>
                            <td>
                                @Html.DisplayFor(u => usu.Correo)
                            </td>
                        </tr>
                    }
                </tbody>
            </table>
        }
        else
        {
            <br>
            <tr>
                <td>
                    Esta facultad no tiene estudiantes inscriptos por el momento.
                </td>
            </tr>
        }
    }
}
else
{
    <tr>
        <td>
            No hya facultades en el sistema por el momento.
        </td>
    </tr>
}